curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/members/{member_guid}/oauth/authorization_url \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.mx.api.v1+json' \
--data '
{
"oauth": {
"client_redirect_url": "https://{yoursite.com}",
"enable_app2app": false,
"referral_source": "APP",
"skip_aggregation": true,
"ui_message_webview_url_scheme": "<string>"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/members/{member_guid}/oauth/authorization_url"
payload = { "oauth": {
"client_redirect_url": "https://{yoursite.com}",
"enable_app2app": False,
"referral_source": "APP",
"skip_aggregation": True,
"ui_message_webview_url_scheme": "<string>"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.mx.api.v1+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.mx.api.v1+json'
},
body: JSON.stringify({
oauth: {
client_redirect_url: 'https://{yoursite.com}',
enable_app2app: false,
referral_source: 'APP',
skip_aggregation: true,
ui_message_webview_url_scheme: '<string>'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/members/{member_guid}/oauth/authorization_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"guid": "MBR-df96fd60-7122-4464-b3c2-ff11d8c74f6f",
"oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2"
}
}Create OAuth Authorization URL
Generate an authorization_url for OAuth authorization of the specified member during the connection flow.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a member.
The unique identifier for a user, beginning with the prefix USR-.
Body
Both oauth and data_request bodies are optional, but if provided, neither can be empty.
Contains a products array that specifies the products you want to aggregate.
Hide child attributes
Hide child attributes
Contains the products you want to aggregate upon a successful connection. For accepted products, see Unified Product Ordering.
account_verification, identity_verification, transactions, transaction_history, statements, investments Hide child attributes
Hide child attributes
This determines the redirect destination at the end of OAuth when used with is_mobile_webview: true or oauth_referral_source: 'APP'.
"https://{yoursite.com}"
This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any generated OAuth URL will not direct the end user to the institution's mobile application. This setting is not persistent and currently only affects Chase institutions.
false
"APP"
When true, the member will not be automatically aggregated after the OAuth connection completes. Deprecated and slated for removal in a future version.
A client-defined scheme used in OAuth redirects in WebViews. Defaults to mx.
Response
OK
Hide child attributes
Hide child attributes
"MBR-df96fd60-7122-4464-b3c2-ff11d8c74f6f"
"https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2"

